package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumWxAuthorizationInfoType {

    COMPONENT_VERIFY_TICKET(1, "component_verify_ticket"),
    UNAUTHORIZED(2, "unauthorized"),
    AUTHORIZED(3, "authorized"),
    UPDATEAUTHORIZED(4, "updateauthorized")
    ;

    public static EnumWxAuthorizationInfoType getEnum(Integer code) {
        for (EnumWxAuthorizationInfoType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumWxAuthorizationInfoType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
